Bug 1314916 - gmediaserver does not respect --interface option
gmediaserver does not respect --interface option
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gmediaserver (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Karol Trzcionka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 15:54 EST by Van de Bugger
Modified: 2016-12-20 14:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:15:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Van de Bugger 2016-03-04 15:54:53 EST
Description of problem:

gmediaserver does not respect --interface option. Regardless of the specified interface, the server accepts incoming connections on any interface. This is a security issue.

Of course, incoming connections from unwanted interfaces should be dropped by firewall, but what the point in option which does not actually work?

Version-Release number of selected component (if applicable):

Fedora 23, gmediaserver-0.13.0-18.fc23.x86_64.

How reproducible:

Always.

Steps to Reproduce:
1. # dnf install gmediaserver
2. $ mkdir /tmp/share
3. $ gmediaserver --interface=192.168.1.2 --port=49152 /tmp/share &
   #                          ^^^^^^^^^^^ Use address of your host here
4. $ lsof -i -n | grep gmedia
5. $ telnet 127.0.0.1 49152


Actual results:

gmediaser 13577  vdb    3u  IPv4 189191      0t0  TCP *:49152 (LISTEN)
gmediaser 13577  vdb    4u  IPv6 189192      0t0  TCP *:49152 (LISTEN)
gmediaser 13577  vdb    5u  IPv4 189193      0t0  UDP 127.0.0.1:33057 
gmediaser 13577  vdb    8u  IPv4 189195      0t0  UDP *:ssdp 

Trying 127.0.0.1...
Connected to 127.0.0.1.
Escape character is '^]'.

Expected results:

gmediaser 13577  vdb    3u  IPv4 189191      0t0  TCP 192.168.1.2:49152 (LISTEN)
gmediaser 13577  vdb    4u  IPv6 189192      0t0  TCP 192.168.1.2:49152 (LISTEN)
gmediaser 13577  vdb    5u  IPv4 189193      0t0  UDP 127.0.0.1:33057 
gmediaser 13577  vdb    8u  IPv4 189195      0t0  UDP *:ssdp 

Trying 127.0.0.1...
telnet: connect to address 127.0.0.1: Connection refused

Additional info:

Being run with -v3 option, gmediaserver prints:

gmediaserver process id 13810 starting
Using IP address 192.168.1.2. <<<<< NOTE THIS
Initializing UPnP subsystem...
UPnP MediaServer listening on 192.168.1.2:49152 <<<<< NOTE THIS
Enabling UPnP web server...
Generating device UDN (UUID)...
Registering UPnP root device...
Sending UPnP advertisement for device (expire time 100 seconds)...
Listening for control point connections...

Note the second line of the output. This output is misleading, actually gmediaserver accepts incoming connections from all interfaces.
Comment 1 Fedora End Of Life 2016-11-24 10:56:11 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 14:15:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.